    001/* ========================================================================
    002 * JCommon : a free general purpose class library for the Java(tm) platform
    003 * ========================================================================
    004 *
    005 * (C) Copyright 2000-2005, by Object Refinery Limited and Contributors.
    006 *
    007 * Project Info:  http://www.jfree.org/jcommon/index.html
    008 *
    009 * This library is free software; you can redistribute it and/or modify it
    010 * under the terms of the GNU Lesser General Public License as published by
    011 * the Free Software Foundation; either version 2.1 of the License, or
    012 * (at your option) any later version.
    013 *
    014 * This library is distributed in the hope that it will be useful, but
    015 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
    016 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public
    017 * License for more details.
    018 *
    019 * You should have received a copy of the GNU Lesser General Public
    020 * License along with this library; if not, write to the Free Software
    021 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301,
    022 * USA.
    023 *
    024 * [Java is a trademark or registered trademark of Sun Microsystems, Inc.
    025 * in the United States and other countries.]
    026 *
    027 * ----------------------------
    028 * IntegerAttributeHandler.java
    029 * ----------------------------
    030 * (C)opyright 2003, 2004, by Thomas Morgner and Contributors.
    031 *
    032 * Original Author:  Thomas Morgner;
    033 * Contributor(s):   David Gilbert (for Object Refinery Limited);
    034 *
    035 * $Id: IntegerAttributeHandler.java,v 1.2 2005/10/18 13:30:16 mungady Exp $
    036 *
    037 * Changes
    038 * -------
    039 * 24.09.2003 : Initial version
    040 *
    041 */
    042
    043package org.jfree.xml.attributehandlers;
    044
    045import org.jfree.util.Log;
    046
    047/**
    048 * A class that handles the conversion of {@link Integer} attributes to and from an appropriate
    049 * {@link String} representation.
    050 */
    051public class IntegerAttributeHandler implements AttributeHandler {
    052
    053    /**
    054     * Creates a new attribute handler.
    055     */
    056    public IntegerAttributeHandler() {
    057        super();
    058    }
    059
    060    /**
    061     * Converts the attribute to a string.
    062     *
    063     * @param o  the attribute ({@link Integer} expected).
    064     *
    065     * @return A string representing the integer value.
    066     */
    067    public String toAttributeValue(final Object o) {
    068        try {
    069            final Integer in = (Integer) o;
    070            return in.toString();
    071        }
    072        catch (ClassCastException cce) {
    073            if (o != null) {
    074                Log.debug("ClassCastException: Expected Integer, found " + o.getClass());
    075            }
    076            throw cce;
    077        }
    078    }
    079
    080    /**
    081     * Converts a string to a {@link Integer}.
    082     *
    083     * @param s  the string.
    084     *
    085     * @return a {@link Integer}.
    086     */
    087    public Object toPropertyValue(final String s) {
    088        return new Integer(s);
    089    }
    090}